# Method: users.makeAdmin

Makes a user a super administrator.

### HTTP request

`POST https://admin.googleapis.com/admin/directory/v1/users/{userKey}/makeAdmin`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `userKey` | `string` Identifies the user in the API request. The value can be the user's primary email address, alias email address, or unique user ID. |

### Request body

The request body contains an instance of `https://developers.google.com/workspace/admin/directory/reference/rest/v1/users/makeAdmin#UserMakeAdmin`.

### Response body

If successful, the response is a generic HTTP response whose format is defined by the method.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admin.directory.user`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).

## UserMakeAdmin

| JSON representation |
|---|
| ``` { "status": boolean } ``` |

| Fields ||
|---|---|
| `status` | `boolean` Indicates the administrator status of the user. |